@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Futura:wght@200;400;500;600;700&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");
@import url("lib/bsic/bootstrap-icons.min.css");


@font-face {
  font-family: 'Source Sans Pro';
  src: url('fonts/sourcesanspro.woff2') format('woff2');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'Futura';
  src: url('fonts/futura.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
}



:root {
    --font-family-main: 'Source Sans Pro', sans-serif; /* Font utama untuk teks */
    --font-family-heading: 'Futura', sans-serif; /* Font untuk heading */
}




.font-bold {
    font-family: var(--font-family-heading);
    font-weight: 700;
}


/* Class-specific font styling */
.font-thin {
    font-family: var(--font-family-main);
    font-weight: 300;
}

.font-light {
    font-family: var(--font-family-main);
    font-weight: 300;
}

.font-regular {
    font-family: var(--font-family-main);
    font-weight: 400;
}

.font-medium {
    font-family: var(--font-family-main);
    font-weight: 700;
}

.font-semibold {
    font-family: var(--font-family-main);
    font-weight: 600;
}

.font-semibold2 {
    font-family: var(--font-family-main);
    font-weight: 500;
}



.putih-teks{
    color: #dbdee8;
}

.abu-teks{
    color: #b7bdd1;
}





html, body {
    width: 3840px;
    height: 2160px;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background: url('img/bg-ihks.jpg') no-repeat center center fixed;
    background-size: cover;
    font-family: 'Source Sans Pro', sans-serif;
  }


  


  

  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.15); /* gelapin dikit */
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 10;
  }

  h1 {
    font-size: 96px;
    font-weight: bold;
  }

  p {
    font-size: 48px;
  }


  /* Navigasi Utama */

  .glass-three {
    position: relative;
    width: 1600px;
    padding: 40px;
    background-color: rgba(182, 182, 182, 0.6);
    background: linear-gradient(0deg, rgba(0, 99, 126, 0.1) 0%, rgba(1, 56, 101, 0.109) 50%);
    box-shadow: 0 7px 20px 5px #00000037;
    border: 1px solid #a8a8a884;
    border-radius: 50px;
    transition: all 0.3s ease;
    cursor: pointer;
    animation: glowPulse 3s ease-in-out infinite;
  }
  
  
  .glass-three::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(10px);
    background: inherit;
    z-index: -1;
    border-radius: 50px;
    transition: all 0.3s ease;
  }
  
  .glass-three:hover {
    transform: scale(1.03);
    box-shadow: 0 12px 30px 10px rgba(0, 168, 165, 0.525);
    background-color: rgba(2, 64, 111, 0.4);
  }
  
  .glass-three:hover::before {
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(14px);
  }
    



  .glass-four {
    position: relative;
    padding: 30px;
    background-color: rgba(182, 182, 182, 0.6);
    background: linear-gradient(0deg, rgba(0, 53, 92, 0.245) 0%, rgba(0, 71, 104, 0.109) 50%);
    box-shadow: 0 7px 20px 5px #00000037;
    border: 1px solid #a8a8a884;
    border-radius: 50px;
    transition: all 0.3s ease;
    cursor: pointer;
  }
  
  .glass-four::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(10px);
    background: inherit;
    z-index: -1;
    border-radius: 50px;
    transition: all 0.3s ease;
  }
  
  .glass-four:hover {
    transform: scale(1.03);
    box-shadow: 0 12px 30px 10px rgba(0, 0, 0, 0.25);
    background-color: rgba(3, 74, 86, 0.624);
  }
  
  .glass-four:hover::before {
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(14px);
  }
    


  .scroll-container {
    height: 100vh; /* atau bisa 2160px jika 4K */
    overflow-y: auto;
    overflow-x: hidden;
  }
  
  .scroll-container img {
    display: block;
    width: auto;
    max-width: 100%; /* atau bisa pakai width: 100% jika mau full */
  }



/*  Pulse */


  @keyframes glowPulse {
    0%, 100% {
      box-shadow: 0 0 20px rgba(0, 75, 112, 0.2),
                  0 0 30px rgba(1, 116, 148, 0.368),
                  0 0 40px rgba(0, 60, 151, 0.05);
    }
    50% {
      box-shadow: 0 0 30px rgba(255, 255, 255, 0.35),
                  0 0 50px rgba(0, 73, 128, 0.25),
                  0 0 70px rgba(255, 255, 255, 0.15);
    }
  }
  